Skip to main content
`Ctrl`+`K`

# TaoADMMSetUpdateType

Set update routine for `TAOADMM` routine

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMSetUpdateType(Tao tao, TaoADMMUpdateType type)

Not Collective

## Input Parameters

- tao - the `Tao` context

- type - spectral parameter update type

## See Also

`TaoADMMGetUpdateType()`, `TaoADMMUpdateType`, `TAOADMM`

## Level

intermediate

## Location

src/tao/constrained/impls/admm/admm.c

## Implementations

TaoADMMSetUpdateType_ADMM() in src/tao/constrained/impls/admm/admm.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages